com.amazonaws.services.codecommit.model

## Class InvalidRepositoryTriggerRegionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.codecommit.model.AWSCodeCommitException
                - - com.amazonaws.services.codecommit.model.InvalidRepositoryTriggerRegionException

All Implemented Interfaces:
  Serializable

    public class InvalidRepositoryTriggerRegionException
    extends AWSCodeCommitException

The region for the trigger target does not match the region for the repository. Triggers must be created in the same region as the target for the trigger.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`InvalidRepositoryTriggerRegionException(String message)` Constructs a new InvalidRepositoryTriggerRegionException with the specified error message.

### Method Summary

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidRepositoryTriggerRegionException

    public InvalidRepositoryTriggerRegionException(String message)

Constructs a new InvalidRepositoryTriggerRegionException with the specified error message.

Parameters:
  `message` - Describes the error encountered.